Std ViewIsometric/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/pl |Name=Std ViewIsometric |Name/pl=Std: Widok izometryczny |MenuLocation=Widok → Widoki standardowe → Aksonometryczny → Izometryczny |Workbenches=wszystkie...")
(Created page with "==Opis==")
Line 19: Line 19:
}}
}}


==Description==
==Opis==


The '''Std ViewIsometric''' command realigns the camera in the active [[3D_view|3D view]] to obtain an [https://en.wikipedia.org/wiki/Isometric_projection isometric] view. For a truly isometric view the 3D view must be in [[Std_OrthographicCamera|orthographic mode]], but the command also works if the view is in [[Std_PerspectiveCamera|perspective mode]].
The '''Std ViewIsometric''' command realigns the camera in the active [[3D_view|3D view]] to obtain an [https://en.wikipedia.org/wiki/Isometric_projection isometric] view. For a truly isometric view the 3D view must be in [[Std_OrthographicCamera|orthographic mode]], but the command also works if the view is in [[Std_PerspectiveCamera|perspective mode]].

Revision as of 05:06, 27 May 2022

Std: Widok izometryczny

Lokalizacja w menu
Widok → Widoki standardowe → Aksonometryczny → Izometryczny
Środowisko pracy
wszystkie
Domyślny skrót
0
Wprowadzono w wersji
-
Zobacz także
Widok dimetryczny, Widok trimetryczny

Opis

The Std ViewIsometric command realigns the camera in the active 3D view to obtain an isometric view. For a truly isometric view the 3D view must be in orthographic mode, but the command also works if the view is in perspective mode.

The axis cross and a cube in isometric view

Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewIsometric button.
    • Select the View → Standard views → Axonometric → Isometric option from the menu.
    • Select the Standard views → Isometric option from the 3D view context menu.
    • Use the keyboard shortcut: 0.

Notes

  • It is also possible to switch to isometric view via the Mini-cube menu of the Navigation Cube.

Scripting

See also: FreeCAD Scripting Basics.

To change to isometric view use the viewIsometric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()